io.vertx.serviceproxy

## Class HelperUtils

- java.lang.Object
- - io.vertx.serviceproxy.HelperUtils

-     public class HelperUtils
      extends Object

  Author:
    Francesco Guardiani @slinkydeveloper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HelperUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> List<T>` | `convertList(List list)`
    `static <T> Map<String,T>` | `convertMap(Map map)`
    `static <T> Set<T>` | `convertSet(List list)`
    `static <T> Handler<AsyncResult<T>>` | `createHandler(Message msg)`
    `static Handler<AsyncResult<List<Character>>>` | `createListCharHandler(Message msg)`
    `static <T> Handler<AsyncResult<List<T>>>` | `createListHandler(Message msg)`
    `static Handler<AsyncResult<Set<Character>>>` | `createSetCharHandler(Message msg)`
    `static <T> Handler<AsyncResult<Set<T>>>` | `createSetHandler(Message msg)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HelperUtils

          public HelperUtils()

  - ### Method Detail

    - #### createHandler

          public static <T> Handler<AsyncResult<T>> createHandler(Message msg)

    - #### createListHandler

          public static <T> Handler<AsyncResult<List<T>>> createListHandler(Message msg)

    - #### createSetHandler

          public static <T> Handler<AsyncResult<Set<T>>> createSetHandler(Message msg)

    - #### createListCharHandler

          public static Handler<AsyncResult<List<Character>>> createListCharHandler(Message msg)

    - #### createSetCharHandler

          public static Handler<AsyncResult<Set<Character>>> createSetCharHandler(Message msg)

    - #### convertMap

          public static <T> Map<String,T> convertMap(Map map)

    - #### convertList

          public static <T> List<T> convertList(List list)

    - #### convertSet

          public static <T> Set<T> convertSet(List list)

Copyright © 2021 Eclipse. All rights reserved.